packages:
  all:
    compiler:
      - gcc
      - aocc
      - nvhpc
      - oneapi

    providers:
      jpeg: [libjpeg]
      mpi: [openmpi, intel-oneapi-mpi]
      pkgconfig: [pkgconf]
      szip: [libaec]
      unwind: [libunwind]
      uuid: [libuuid]
      zlib-api: [zlib-ng+compat]


  glibc:
    prefer: ['%gcc@11.2.1']

  jpeg:
    require: ['libjpeg']

  pkgconfig:
    require: ['pkgconf']

  uuid:
    require: ['libuuid']

  zlib-api:
    require: ['zlib-ng']

  zlib-ng:
    require: ['+compat', 'build_system=autotools']
